#include <stdio.h>
#include <stdlib.h>

struct Vaga {
    int donja;
    int gornja;
};
int main()
{
    int N,M;
    scanf("%d %d",&N,&M);
    struct Vaga vaga[N];

    for (int i=0;i<N;i++)
    {
        scanf("%d %d",&vaga[i].donja,&vaga[i].gornja);
    }
    int x,y,z;
    int rezultat[M],brojac=0;

    for (int i=0;i<M;i++)
    {
        scanf("%d %d %d",&x,&y,&z);
        for (int j=x-1;j<=y-1;j++)
            {
                if (vaga[j].donja<=z && vaga[j].gornja>=z)
                    brojac++;
            }
        rezultat[i]=brojac;
        brojac=0;
    }

    for (int i=0;i<M;i++)
    {
        printf("%d\n",rezultat[i]);
    }
}